org.vertx.java.core.shareddata.impl

## Class SharedMap<K,V>

- java.lang.Object
- - org.vertx.java.core.shareddata.impl.SharedMap<K,V>

All Implemented Interfaces:
  java.util.concurrent.ConcurrentMap<K,V>, java.util.Map<K,V>

    public class SharedMap<K,V>
    extends java.lang.Object
    implements java.util.concurrent.ConcurrentMap<K,V>

### Constructor Summary

Constructors
Constructor and Description
`SharedMap()`

### Method Summary

Methods
`void` `clear()`
`boolean` `containsKey(java.lang.Object o)`
`boolean` `containsValue(java.lang.Object o)`
`java.util.Set<java.util.Map.Entry<K,V>>` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`V` `get(java.lang.Object o)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Set<K>` `keySet()`
`V` `put(K k, V v)`
`void` `putAll(java.util.Map<? extends K,? extends V> map)`
`V` `putIfAbsent(K k, V v)`
`V` `remove(java.lang.Object o)`
`boolean` `remove(java.lang.Object o, java.lang.Object o1)`
`V` `replace(K k, V v)`
`boolean` `replace(K k, V v, V v1)`
`int` `size()`
`java.util.Collection<V>` `values()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SharedMap

    public SharedMap()

### Method Detail

#### putIfAbsent

    public V putIfAbsent(K k,
                V v)

Specified by:
  `putIfAbsent` in interface `java.util.concurrent.ConcurrentMap<K,V>`

#### remove

    public boolean remove(java.lang.Object o,
                 java.lang.Object o1)

Specified by:
  `remove` in interface `java.util.concurrent.ConcurrentMap<K,V>`

#### replace

    public boolean replace(K k,
                  V v,
                  V v1)

Specified by:
  `replace` in interface `java.util.concurrent.ConcurrentMap<K,V>`

#### replace

    public V replace(K k,
            V v)

Specified by:
  `replace` in interface `java.util.concurrent.ConcurrentMap<K,V>`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map<K,V>`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map<K,V>`

#### containsKey

    public boolean containsKey(java.lang.Object o)

Specified by:
  `containsKey` in interface `java.util.Map<K,V>`

#### containsValue

    public boolean containsValue(java.lang.Object o)

Specified by:
  `containsValue` in interface `java.util.Map<K,V>`

#### get

    public V get(java.lang.Object o)

Specified by:
  `get` in interface `java.util.Map<K,V>`

#### put

    public V put(K k,
        V v)

Specified by:
  `put` in interface `java.util.Map<K,V>`

#### remove

    public V remove(java.lang.Object o)

Specified by:
  `remove` in interface `java.util.Map<K,V>`

#### putAll

    public void putAll(java.util.Map<? extends K,? extends V> map)

Specified by:
  `putAll` in interface `java.util.Map<K,V>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map<K,V>`

#### keySet

    public java.util.Set<K> keySet()

Specified by:
  `keySet` in interface `java.util.Map<K,V>`

#### values

    public java.util.Collection<V> values()

Specified by:
  `values` in interface `java.util.Map<K,V>`

#### entrySet

    public java.util.Set<java.util.Map.Entry<K,V>> entrySet()

Specified by:
  `entrySet` in interface `java.util.Map<K,V>`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Map<K,V>`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Map<K,V>`
Overrides:
  `hashCode` in class `java.lang.Object`